Bug 438902 - conflicts with NetworkManager
Summary: conflicts with NetworkManager
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 459120
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-25 21:25 UTC by Bill Nottingham
Modified: 2014-03-17 03:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 15:22:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Nottingham 2008-03-25 21:25:51 UTC
Description of problem:

On a default install, there is the Administration->Network, and
Administration->Network Device Control. Enabling/disabling devices here is going
to screw up NetworkManager (now running by default) pretty badly.

Version-Release number of selected component (if applicable):

system-config-network-1.5.1

Comment 1 Harald Hoyer 2008-03-26 07:54:29 UTC
So does ifup/ifdown in a terminal??
What should s-c-control/network do? Kill NM?

Comment 2 Bill Nottingham 2008-03-26 15:21:32 UTC
Well, ifup/ifdown isn't presented to the user in the normal menus. I'm not sure
killing NM is the right answer.

Comment 3 Harald Hoyer 2008-03-27 01:38:25 UTC
nevertheless, someone could ifup/ifdown from a terminal and NM should not screw
up... right?

Comment 4 Dan Williams 2008-03-27 10:50:43 UTC
Ideally no, NM wouldn't screw up, but then people could also add/delete/change
routes in the routing table, add/remove/change IP addresses, etc.  Should NM
handle all those cases too?  That's a boatload of code for not a lot of benefit.
 Either you use NM and don't mess with devices, or you don't use NM and you mess
with devices.

With NM_CONTROLLED=no though, I'll make NM ignore the ifcfg and the device that
is specified by the MAC address in the ifconfig file, so that's the "out".  If
you have a device that's not controlled by NM, then you should probably be able
to ifup/ifdown as much as you want.  There are at least a few ways to make
ifup/ifdown and NM cooperate:

1) If NM isn't running, do what's done now
2) If NM is running, and the ifcfg isn't NM_CONTROLLED=no, poke NM to activate
the connection
3) If NM is running, and the ifcfg is NM_CONTROLLED=no, activate the connection
but don't change the default route

Thoughts?

Comment 5 Bill Nottingham 2008-03-27 13:55:03 UTC
Well, need a C-based NM-poker, unless we want to do fire&forget dbus-send. Aside
from that, seems reasonable.

Comment 6 Dan Williams 2008-03-27 14:27:56 UTC
I'll sign up to write a C-based poker, just need to know what ifup/ifdown expect
from it (ie, what commands it should expect, what return values, etc).

Comment 7 Bill Nottingham 2008-03-27 15:44:22 UTC
Hm, interfaces that I think would be required:

1) is-network-manager-running/ping
2) bring up interface XXX (either by device name or mac address)
3) bring down interface XXX (either by device name or mac address)

#2 and #3 should probably have options to block.

For compatibility, auto-ip probably shouldn't be tried if DHCP fails.

Specific failure codes we may want to enumerate:
- ENODEV
- device has no link
- configuration failed (DHCP or otherwise)


Comment 8 Harald Hoyer 2008-03-27 22:06:29 UTC
Ok, this version should not let the user activate/deactivate, if NM_CONTROLLED
is set.
http://people.fedoraproject.org/~harald/downloads/system-config-network/1.5.91/

what do you think?

Comment 9 Bill Nottingham 2008-03-28 02:21:48 UTC
What actually sets NM_CONTROLLED? Or is it all done by hand?

Comment 10 Harald Hoyer 2008-03-28 07:22:34 UTC
s-c-n can set/unset it. Dunno what else does.

Comment 11 Bill Nottingham 2008-03-28 15:54:09 UTC
Can set/unset,or sets/unsets by default?

Comment 12 Harald Hoyer 2008-03-31 09:38:35 UTC
_Can_

btw, s-c-n > 1.5.3 honors NM_CONTROLLED=yes (default, if not specified is "no")

anaconda really should write this and ask/inform the user about this.


Comment 13 Bug Zapper 2008-05-14 06:51:03 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 14 Jiri Moskovcak 2008-08-14 14:50:22 UTC
*** Bug 459017 has been marked as a duplicate of this bug. ***

Comment 15 Jiri Moskovcak 2008-08-14 14:52:48 UTC
NM should be fixed also, because it's deafault is 'yes' even thou it's not specified.

Comment 16 Michal Jaegermann 2008-08-14 15:19:11 UTC
> NM should be fixed also ...
In the current installations, even after upgrades, service 'network'
by default is not running.  Which would mean "no network connections"
if NM requires an explicit "yes" unless this would be added to
a configuration.  OTOH NM is still unable to set hostname from IP.

If there is some documentation which describes what is really expected
all around in this setup then I am not aware of its existence.

Comment 17 Bug Zapper 2009-06-09 23:51:15 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 18 Bug Zapper 2009-07-14 15:22:08 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.